编译hadoop1.2.1的hadoop-eclipse-plugin和配置

原创
2015/03/13 17:17
阅读数 123

一、编译

安装下面这篇文章一步一步来,注意该修改的地方修改,该新增的地方新增,细心点

编译hadoop1.2.1 eclipse插件

1. 在第四步“Step4 修改build.xml”中注意:<path id="hadoop-jars">是要新增的内容,而<path id="classpath">只需要增加一行<path refid="hadoop-jars"/>。 "<copy file="标签的内容全部复制进去,然后替换掉已有的。

2. 在编译项目的时候,打开文件src,删除src文件夹里面的内容。要在build path中,把lib下面的包引入进去。jdk我这次是用的1.6版本的。

3. 出现“build.xml:68: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set t”问题,参考文章[转载]Ant问题:warning: 'includeantruntime' was not set。在标签<javac中加includeantruntime="on"。

二、配置

安装好了hadoop插件之后,就是配置使用hadoop插件了,除了在linux要安装hadoop,在我们的eclipse开发电脑上也需要有hadoop的安装目录,而且版本必须和集群上一样。

参考文章:Hadoop集群(第7期)_Eclipse开发环境设置,拉到“2.4 Eclipse插件开发配置”这一小节,第二步开始,第一步可以省略。

注意在eclipse中新建Map/Reduce locations时,Map/Reduce Master中的端口需要和mapred-site.xml中的如下配置对应。

<property>
    <name>mapred.job.tracker</name>
    <value>http://master:9001</value>
</property>

DFS Master 和core-site.xml的dfs配置对应。





展开阅读全文
加载中
点击引领话题📣 发布并加入讨论🔥
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部